@import url('https://fonts.googleapis.com/css2?family=IM+Fell+French+Canon&family=Lato:ital,wght@0,400;0,700;1,400&display=swap');
    

img {
    -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
    filter: grayscale(100%);
  }
body {
     background-color: #fcfbfb; 
    font-family:Roboto, Helvetica, sans-serif;
    font-size: 22px;
    margin: 0;
    padding: 0;
}
header {
    font-family: Arial, Helvetica, sans-serif;
    background-color:rgba(20,30,13, .7);
    display: grid;
    grid-template-columns: 150px auto;
}  

#content {
    max-width: 160px;
    margin: 0 auto;
    font-size: 22px;
}
#logo-link {
    max-width: 160px;
    margin: 0 auto;
    padding-top: 5px;
    justify-self: center;
    align-self: center;
}
nav {
    display: flex;
    justify-content: space-around;
}
nav a {
    text-align: center;
    color: aquamarine;
    text-decoration: none;
    padding: 35px;
}
#hero {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
    margin-top: -100px;
}
#hero-msg h1, #hero-msg h4 {
    text-align: center;
}
.button-box {
    text-align: center;
}
main section {
    text-align: center;
}
#background {
    height: 725px;
    background-color: blanchedalmond;
    grid-column: 1/11;
    grid-row: 4/9;
}
nav a:hover {
    background-color: black;
    color: #d9c2a3;
}
.book, .join {
    background-color: blue;
    color:#d9c2a3;
    text-decoration: none;
    font-size: 18px;
    padding: 15px 30px;
    margin-top: 50px;
    border-radius: 5px;
}
.book:hover, .join:hover {
    background-color: blue;
    color: aqua;
}
.msg {
  background-color: #6f7364;
  line-height: 1.5em;
  padding: 35px;
  grid-column: 6/10;
  grid-row: 6/7;
  box-shadow: 5px 5px 10px #6f7364; 
}
footer {
    background-color: #6f7364;
    color: #d9c2a3;
    margin-top: 200px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.home-title {
    color: blue;
    font-family: 'Rock Salt', 'Bradley Hand', sans-serif;
    font-size: 2em;
    margin-top: 10px;
}
h4 {
    color: aquamarine;
}
.msg h2 {
    color: bisque;
}
.msg p {
    color: black;
    font-size: .8em;
    padding-bottom: 15px;
}
footer a {
    color: antiquewhite;
    text-decoration: none;
    padding: 25px 50px;
}
footer a :hover {
    color: blue;
}
.logo {
    width: 80px;
}
.icon {
    width: 80px;
    padding-top: 10px;
}
#hero-img {
    width: 100%;
}
#hero-box {
    grid-column: 1/4;
    grid-row: 1/3;
    z-index: -1;
}
footer p {
    font-size: 1.2em;
}  
footer p a:hover {
    text-decoration: underline;
}  
footer .social img {
    padding-top: 15px;

}
.rivers-card, .camping-card, .rapids-card {
    margin: 200px 0;
}
.card-img {
    border: 10px solid #d9c2a3;
    transition: transform .5s;
    box-shadow: 5px 5px 10px #6f7364;
}
main section img {
    box-sizing: border-box;
}
#hero-msg h4 {
    color: white;
}
#hero-msg {
    grid-column: 2/3;
    grid-row: 1/2;
    margin-top: 100px;
}
.home-grid {
    display: grid;
    grid-template-columns: 10fr;
}
.card-img .mountains {
    width: 100%;

}
.rivers-card {
    grid-column: 2/4;
    grid-row: 2/3;

}
.camping-card {
    grid-column: 5/7;
    grid-row: 2/3;
    
}
.rapids-card {
    grid-column: 8/10;
    grid-row: 2/3;
}
.mountains {
    width: 100%;
    grid-column: 2/7;
    grid-row: 5/8;
    box-shadow: 5px 5px 10px #6f7364;
}
.card-img:hover {
    opacity: .6;
    transform: scale(1.1);
}



/* This is River Sibpage code */

#rivers-img {
    width: 900px;
    float: left; 
    margin-right:25px;
    padding: 5px;
    border: 1px; 
    background: yellow;
 }

 #rivers-box {
    grid-column: 1/4;
    grid-row: 1/3;
    z-index: -1;
}

.rivers-grid {
    display: grid;
    grid-template-columns: 10fr;
}

.salmon-river-card, .rapid-river-card{
    margin: 200px 0;
    width: 800px;
    height: 500px;
}

.salmon-river-card {
    float: left;
    grid-column: 1/4;
    grid-row: 1/3;
}
.rapid-river-card {
    grid-column:2/7 ;
    grid-row: 2/3;
}

@media screen and (max-width: 900px) {
    #hero, .home-grid {
        display: block;
        height: auto;
    }
    nav, footer {
        flex-direction: column;
    }
    nav a {
        display: block;
        padding: 15px;
    }
    #hero {
        margin-top: 0;
    }
    #hero-msg {
        margin-top: 0;
    }
    #hero-msg h4 {
        display: none;
    }
    .home-title {
        font-size: 25px;
        color: #6f7364;
    }
    .rivers-card, .camping-card, .rapids-card { 
        margin: 50px auto;
        width: 60%;
    }
    #background {
        display: none;
    }
    .mountains, .msg {
        width: 80%;
        display: block;
        margin: 0 auto;
    }
    footer {
        margin-top: 25px;
    }
}

